Subject: Re: rar package is now useless
To: None <>
From: Johnny C. Lam <>
List: pkgsrc-users
Date: 10/10/2007 13:02:30
Bernd Ernesti wrote:
> On Wed, Oct 10, 2007 at 04:22:07PM +0200, Bernd Ernesti wrote:
>> I can't find a way to use the linux binary, which is even a newer
>> version and I would be forced to use the outdated bsd rar binary,
>> if it would install at all.
> And got another hint from the same person how to work around this problem:
> : Until this gets fixed, you should be able to get the Linux version
> : using:
> :  
> :   make EMUL_PLATFORM=linux-i386 update
> :  
> : in pkgsrc/archivers/rar.  At least it works here.
> Which works for me too.
> Bernd
> P.S. Sorry for the tone, but I was frustrated that it didn't work anymore.
> And sorry Johnny that you got my first mail twice, but I missed one char
> when I added the mailing list address.

Ah, that's why my reply got bounced.  Here it is again:

Should we just remove the section that's for netbsd-i386?  That would 
force needing linux-i386 for using rar, but as it's a much newer version 
by several generations, it's likely to be much better.  I don't know 
anyone who still uses the very old BSD rar binary.


	-- Johnny C. Lam